Bug 863817

Summary: Liberation Sans Hebrew needs Redesign (Willing to contribute)
Product: [Fedora] Fedora Reporter: Lior Halphon <LIJI32>
Component: liberation-fontsAssignee: Pravin Satpute <psatpute>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 19CC: fonts-bugs, i18n-bugs, petersen, psatpute
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 09:29:28 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
New Hebrew glyphs I designed
none
Current Droid glyphs in Liberation Sans none

Description Lior Halphon 2012-10-07 11:57:43 EDT
Created attachment 623019 [details]
New Hebrew glyphs I designed

The Hebrew version of Liberation Sans currently uses glyphs from Droid Sans Hebrew. These glyphs have incorrect proportions, weird letter forms and it's generally unreadable. In addition, it go along with the Latin glyphs nicely.

I've previously solved the same problem with DejaVu Sans Hebrew by redesigning it and I'd be more than happy to contribute an entirely new Hebrew glyphset for Liberation Sans.

I included a Work-in-Progess of new Hebrew glyphs designed to match the design of the Latin Liberation Sans in style, weight and proportions.
Comment 1 Lior Halphon 2012-10-07 12:01:55 EDT
Created attachment 623020 [details]
Current Droid glyphs in Liberation Sans
Comment 2 Pravin Satpute 2012-10-08 08:01:02 EDT
How many glyphs need this improvement in font? 

Two concerns 
1. Metric compatibility is major concern for Liberation font family, so have to be in existing bounds
2. Once we modify shapes existing hinting instructions will get lost. So we might be autohint modified glyphs with fontforge autohinting.
Comment 3 Lior Halphon 2012-10-08 08:17:46 EDT
The entire Hebrew was redone. The previous glyphs were taken directly from Droid Sans which do not match the weight and style of the Latin Liberation Sans, and were generally badly made.

1. Metric compatibility with which fonts? The newly designed Hebrew glyphs are more or less (Could be further adjusted) with Narkis Tam, the Hebrew equivalent for Helvetica. Regarding previous version of Liberation Sans, as far as I know the Hebrew glyphs for it were only recently added, and were hardly used because of Droid Sans which had the same glyphs, Dejavu Sans which had better Hebrew Glyphs and CoreFonts' popular Arial.

2. When I designed Dejavu Sans Hebrew I manually hinted all glyphs for extra clarity. I wouldn't mind manually hinting the new Hebrew glyphset.
Comment 4 Pravin Satpute 2012-10-08 09:48:55 EDT
1.  The Liberation(tm) Fonts is a font family which aims at metric compatibility with Arial, Times New Roman, and Courier New. 
https://fedorahosted.org/liberation-fonts/
So we should be in this bound.

2. That's great to know that you will do manual hinting as well.
Comment 5 Lior Halphon 2012-10-08 10:28:40 EDT
Matching metrics with Arial Hebrew might not be entirely a good idea – while Latin Arial has good proportions due to it being metric compatible with Helvetica, Arial Hebrew suffers from weird proportions that hurt its readability.  For example, in Arial, the letter Bet (05D1) is much wider the letter Tet (05D8), while the opposite should be true. In analog to Latin, it would be a font where lowercase T is wider than lowercase N. Additionally, it seems that the current Hebrew glyphset in Liberation Sans isn't metric compatible with Arial in the first place. Metric compatibility with Narkis Tam (One of the fonts Arial Hebrew is based on, but with better proportions, and is equivalent to Helvetica) will result in better readability.

Despite this, I'm able to modify the letters to match Arial's metrics, but it will significantly damage the readability. (Either way – the result will still be better than the current glyphs)
Comment 6 Pravin Satpute 2012-10-08 12:04:05 EDT
Yeah, "Arial Hebrew" has different Metrics than Liberation Sans.

So what you suggest separating Hebrew from Liberation Sans and developing "Liberation Hebrew" as a New font? In that case i think we will have more control.
Comment 7 Lior Halphon 2012-10-08 12:08:04 EDT
That could work, but I thought of simply replacing the old glyphs in Liberation Sans with new ones (The same thing was done with Dejavu Sans; http://dejavu-fonts.org/wiki/Changelog#Changes_from_2.32_to_2.33 ). Currently the Hebrew glyphs in Liberation Sans are the same as Droid Sans, and it'd be pretty redundant having 2 identical fonts with different names.
Comment 8 Pravin Satpute 2012-10-09 01:20:57 EDT
Ideally it will be good if users get Hebrew from existing Liberation Sans itself.
But if its Liberation Sans, then we have to manage it in existing metrics.

As you said earlier, even redesigning with managing it in metrics will be better than existing glyph set. I think may be we can move with this then?
Comment 9 Fedora End Of Life 2013-04-03 13:09:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Fedora End Of Life 2015-01-09 12:24:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-17 09:29:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.